org.apache.jmeter.visualizers.utils

## Class Colors

- java.lang.Object
- - org.apache.jmeter.visualizers.utils.Colors

    public class Colors
    extends Object

### Field Summary

Fields
`protected static String` `DEFAULT_COLORS_PROPERTY_FILE`
`static Color` `LIGHT_RED`
`protected static String` `USER_DEFINED_COLORS_PROPERTY_FILE`

### Constructor Summary

Constructors
Constructor and Description
`Colors()`

### Method Summary

All Methods Static Methods Concrete Methods
`static List<Color>` `getColors()` Parse icon set file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_COLORS_PROPERTY_FILE

    protected static final String DEFAULT_COLORS_PROPERTY_FILE

See Also:
  Constant Field Values

#### USER_DEFINED_COLORS_PROPERTY_FILE

    protected static final String USER_DEFINED_COLORS_PROPERTY_FILE

See Also:
  Constant Field Values

#### LIGHT_RED

    public static final Color LIGHT_RED

### Constructor Detail

#### Colors

    public Colors()

### Method Detail

#### getColors

    public static List<Color> getColors()

Parse icon set file.

Returns:
  List of icons/action definition